LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XParametricPolyPolygon2D Interface Reference

Interface to a dynamic poly-polygon generator, that generates poly-polygons depending on a given parameter value. More...

`import"XParametricPolyPolygon2D.idl";`

Inheritance diagram for XParametricPolyPolygon2D:

## Public Member Functions
XPolyPolygon2D | getOutline ([in] double t) raises (com::sun::star::lang::IllegalArgumentException)
| Query the polygonal outline at the specified value. More...
sequence< ColorComponent > | getColor ([in] double t) raises (com::sun::star::lang::IllegalArgumentException)
| Query the color value for the polygonal area at the specified parameter value. More...
sequence< ColorComponent > | getPointColor ([in] ::com::sun::star::geometry::RealPoint2D point) raises (com::sun::star::lang::IllegalArgumentException)
| Query the color for a dedicated point in the plane. More...
XColorSpace | getColorSpace ()
| Query the color space employed by this object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface to a dynamic poly-polygon generator, that generates poly-polygons depending on a given parameter value.

The returned poly-polygon should normally be contained in the [0,1]x[0,1] rectangle. At least that is the dimension expected at other places. e.g. Texture.

## Member Function Documentation

## ◆ getColor()

sequence< ColorComponent > getColor | ( | [in] double | t | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Query the color value for the polygonal area at the specified parameter value.

Parameters

  t | Parameter value in the range [0,1]. During painting, this range is swept through starting from 0.

## ◆ getColorSpace()

XColorSpace getColorSpace | ( |  | ) |

Query the color space employed by this object.

Returns
  the color space the colors generated by this object are to be interpreted in.

## ◆ getOutline()

XPolyPolygon2D getOutline | ( | [in] double | t | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Query the polygonal outline at the specified value.

The returned outline should be clipped to the [0,1]x[0,1] rectangle.

Parameters

  t | Parameter value in the range [0,1]. During painting, this range is swept through starting from 0. When using such a parametric poly-polygon for gradients, the area covered by the returned XPolyPolygon2D should be monotonically decreasing with t (unless singularities in e.g. the resulting gradient are desired).

## ◆ getPointColor()

sequence< ColorComponent > getPointColor | ( | [in] ::com::sun::star::geometry::RealPoint2D | point | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Query the color for a dedicated point in the plane.

Parameters

  point | The permissible parameter range for point is [0,1]x[0,1]

The documentation for this interface was generated from the following file:

- com/sun/star/rendering/XParametricPolyPolygon2D.idl